Items - Vendor
Copy Page
3enab
🏪 Vendor Application
👤 User Application
🏪 Vendor Application
👨💼 Admin Application
🚚 Delivery Application
Auth - Vendor
Register a new vendor user
POST
Login vendor
POST
Logout vendor
POST
Refresh access token
POST
Send phone OTP
POST
Verify phone OTP
POST
Send password reset OTP
POST
Verify password reset OTP
POST
Reset password
POST
Items - Vendor
Create a new item
POST
Get all items in a category
GET
Get a single item by ID
GET
Update an item
PUT
Delete an item
DELETE
Create a variant for an item
POST
Update item status
PATCH
Get all variants of an item
GET
Upload item image
POST
Update item availability
PATCH
Update item group availability
PATCH
Move item to another menu category
PATCH
Update item active status
PATCH
Update item discount
PATCH
Remove item discount
DELETE
Apply discount to all vendor items
PATCH
Remove discount from all vendor items
DELETE
Update items order
PATCH
Menu Categories - Vendor
Create a new menu category for a vendor
Get all menu categories for a vendor
Get a single menu category by ID
Update a menu category
Delete a menu category
Update menu category active status
Update ordering for menu categories
Rates - Vendor
Get all ratings for vendor
Get a specific rating by ID
Users - Vendor
Get current vendor user profile
Update current vendor user profile
Delete current vendor user account
Change vendor user password
Vendor Categories - Vendor
Get all active vendor categories
Get a vendor category by ID
Vendors - Vendor
Get my vendors
Create a new vendor
Update vendor
Delete vendor
Upload vendor logo
Get vendor logo
Update vendor active status
Update vendor availability status
Create or update vendor notice
Upload vendor cover image
Delete vendor notice
Delete vendor cover image
Upload notice image
Update vendor preparation time
Delete notice image
Orders - Vendor
Get all orders for vendor
Get order by ID
Cancel order by vendor
Update order status
Versions - Vendor
Get the latest version for Vendor app
Items - Vendor
Copy Page
Get a single item by ID
GET
/api/v1/vendor/vendors/{vendorId}/categories/{menuCategoryId}/items/{itemId}
Try it
Run in Apidog
Run in Apidog
Retrieve a specific item by its ID
Request
Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params
Generate Code
Header Params
Generate Code
Responses
🟢
200
OK
Item retrieved successfully
This response does not have a body.
🟠
401
Unauthorized
🟠
404
Not Found
Modified at
2026-04-08 13:49:19
Previous
Get all items in a category
Next
Update an item